Package org.kie.api.conf

# Enum Class MBeansOption

java.lang.Object
java.lang.Enum<MBeansOption>
org.kie.api.conf.MBeansOption

All Implemented Interfaces:
  `Serializable`, `Comparable<MBeansOption>`, `Constable`, `KieBaseOption`, `Option`, `SingleValueKieBaseOption`, `SingleValueOption`

public enum MBeansOption extends Enum<MBeansOption> implements SingleValueKieBaseOption
An Enum for MBeans Enabled option. kie.mbeans = <enabled|disabled> DEFAULT = false

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DISABLED`
  `ENABLED`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static OptionKey<MBeansOption>`
  `KEY`
  `static final String`
  `PROPERTY_NAME`
  The property name for the mbeans option

  ### Fields inherited from interface org.kie.api.conf.KieBaseOption

  `TYPE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getPropertyName()`
  `boolean`
  `isEnabled()`
  `static boolean`
  `isEnabled(String value)`
  `static MBeansOption`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static MBeansOption[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.kie.api.conf.KieBaseOption

  `type`

  ### Methods inherited from interface org.kie.api.conf.Option

  `propertyName`

- ## Enum Constant Details

  - ### ENABLED

    public static final MBeansOption ENABLED

  - ### DISABLED

    public static final MBeansOption DISABLED

- ## Field Details

  - ### PROPERTY_NAME

    public static final String PROPERTY_NAME
    The property name for the mbeans option
    See Also:
      - Constant Field Values

  - ### KEY

    public static OptionKey<MBeansOption> KEY

- ## Method Details

  - ### values

    public static MBeansOption[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static MBeansOption valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getPropertyName

    public String getPropertyName()
    Specified by:
      `getPropertyName` in interface `Option`
    Returns:
      the property name for this option

  - ### isEnabled

    public boolean isEnabled()

  - ### isEnabled

    public static boolean isEnabled(String value)